## org.eclipse.jetty.server.handler
Class AbstractHandler

    java.lang.Object
      org.eclipse.jetty.util.component.AbstractLifeCycle
          org.eclipse.jetty.server.handler.AbstractHandler

All Implemented Interfaces:
  Handler, LifeCycle

Direct Known Subclasses:
  AbstractHandlerContainer, DefaultHandler, ErrorHandler, ResourceHandler

    public abstract class AbstractHandler

extends AbstractLifeCycle
implements Handler

AbstractHandler.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`AbstractLifeCycle.AbstractLifeCycleListener`

Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle
`LifeCycle.Listener`

Field Summary

Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`_listeners, FAILED, RUNNING, STARTED, STARTING, STOPPED, STOPPING`

Constructor Summary
`AbstractHandler()`

Method Summary
`void` `destroy()`
`protected void` `doStart()`
`protected void` `doStop()`
`String` `dump()`
`void` `dump(Appendable out)`
`protected void` `dump(Appendable out, String indent)`
`Server` `getServer()`
`void` `setServer(Server server)`
`String` `toString()`

Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`addLifeCycleListener, getState, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jetty.server.Handler
`handle`

Methods inherited from interface org.eclipse.jetty.util.component.LifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Constructor Detail

### AbstractHandler

    public AbstractHandler()

Method Detail

### doStart

    protected void doStart()
                    throws Exception

  Overrides:
    `doStart` in class `AbstractLifeCycle`
  Throws:
    `Exception`

### doStop

    protected void doStop()
                   throws Exception

  Overrides:
    `doStop` in class `AbstractLifeCycle`
  Throws:
    `Exception`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### setServer

    public void setServer(Server server)

  Specified by:
    `setServer` in interface `Handler`

### getServer

    public Server getServer()

  Specified by:
    `getServer` in interface `Handler`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `Handler`

### dump

    public String dump()

### dump

    public void dump(Appendable out)
              throws IOException

  Throws:
    `IOException`

### dump

    protected void dump(Appendable out,
                        String indent)
                 throws IOException

  Throws:
    `IOException`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.